IHistogram (Colt 1.2.0 - API Specification)
Keywords: hep.aida.IHistogram interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hep.aida
Interface IHistogram

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  IHistogram1D, IHistogram2D, IHistogram3D

All Known Implementing Classes:
  hep.aida.ref.AbstractHistogram1D, hep.aida.ref.AbstractHistogram2D, hep.aida.ref.AbstractHistogram3D, hep.aida.ref.Histogram, Histogram1D, Histogram2D, Histogram3D

public interface IHistogram
extends Serializable

A common base interface for IHistogram1D, IHistogram2D and IHistogram3D.

Version:
  1.0, 23/03/2000

Field Summary
`static int` | `OVERFLOW` Constant specifying the overflow bin (can be passed to any method expecting a bin number).
`static long` | `serialVersionUID`
`static int` | `UNDERFLOW` Constant specifying the underflow bin (can be passed to any method expecting a bin number).

Method Summary
`int` | `allEntries()` Number of all entries in all (both in-range and under/overflow) bins in the histogram.
`int` | `dimensions()` Returns 1 for one-dimensional histograms, 2 for two-dimensional histograms, and so on.
`int` | `entries()` Number of in-range entries in the histogram.
`double` | `equivalentBinEntries()` Number of equivalent entries.
`int` | `extraEntries()` Number of under and overflow entries in the histogram.
`void` | `reset()` Reset contents; as if just constructed.
`double` | `sumAllBinHeights()` Sum of all (both in-range and under/overflow) bin heights in the histogram.
`double` | `sumBinHeights()` Sum of in-range bin heights in the histogram.
`double` | `sumExtraBinHeights()` Sum of under/overflow bin heights in the histogram.
`String` | `title()` Title of the histogram (will be set only in the constructor).

Field Detail

### OVERFLOW

    public static final int OVERFLOW

  Constant specifying the overflow bin (can be passed to any method expecting a bin number).

  See Also:
    Constant Field Values

### UNDERFLOW

    public static final int UNDERFLOW

  Constant specifying the underflow bin (can be passed to any method expecting a bin number).

  See Also:
    Constant Field Values

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Method Detail

### allEntries

    public int allEntries()

  Number of all entries in all (both in-range and under/overflow) bins in the histogram.

### dimensions

    public int dimensions()

  Returns 1 for one-dimensional histograms, 2 for two-dimensional histograms, and so on.

### entries

    public int entries()

  Number of in-range entries in the histogram.

### equivalentBinEntries

    public double equivalentBinEntries()

  Number of equivalent entries.

  Returns:
    `SUM[ weight ] ^ 2 / SUM[ weight^2 ]`.

### extraEntries

    public int extraEntries()

  Number of under and overflow entries in the histogram.

### reset

    public void reset()

  Reset contents; as if just constructed.

### sumAllBinHeights

    public double sumAllBinHeights()

  Sum of all (both in-range and under/overflow) bin heights in the histogram.

### sumBinHeights

    public double sumBinHeights()

  Sum of in-range bin heights in the histogram.

### sumExtraBinHeights

    public double sumExtraBinHeights()

  Sum of under/overflow bin heights in the histogram.

### title

    public String title()

  Title of the histogram (will be set only in the constructor).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage